Name:		rstatd
Version:	4.0.1
Release:	2%{?dist}
Summary:	Remotly view many system load related parameters
License:	GPLv2
URL:		http://rstatd.sourceforge.net/
Source0:	http://sourceforge.net/projects/rstatd/files/rstatd/4.0.1/rpc.rstatd-4.0.1.tar.gz
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Source3:	%{name}.service
Patch0:		%{name}-kernel-3.patch
Patch1:		%{name}-format.patch
Requires:	rpcbind

%description
The rpc.rstatd allows one to access several performance related
parameters of UNIX systems remotely. This can be used by tools
like perfmeter to give a nice graphical overview of the monitored
systems.

rpc.rstatd was originally developed at Sun Microsystems.
rpc.rstatd for Linux, was developed by Adam Migus, with
some enhancements from Andreas Klingler.

%prep
%setup -q -n rpc.%{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%ifarch s390 s390x sparcv9 sparc64
PIE="-fPIE"
%else
PIE="-fpie"
%endif
export PIE

%configure				\
	CFLAGS="$PIE %{optflags}"	\
	LDFLAGS="-pie"
make %{?_smp_mflags}

%install
make install install-man DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%if 0%{?rhel} < 7 && 0%{?fedora} == 0
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%else
mkdir -p %{buildroot}/%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
%endif

%post
%if 0%{?rhel} < 7 && 0%{?fedora} == 0
/sbin/chkconfig --add rstatd
%endif

%preun
%if 0%{?rhel} < 7 && 0%{?fedora} == 0
if [ "$1" = "0" ]; then
    /etc/rc.d/init.d/%{name} condstop > /dev/null
fi
%endif

%postun
%if 0%{?rhel} < 7 && 0%{?fedora} == 0
if [ "$1" -ge 1 ]; then
    /etc/rc.d/init.d/%{name} condrestart > /dev/null
fi
%endif

%files
%doc AUTHORS
%doc COPYING
%doc README
%{_bindir}/rsysinfo
%{_bindir}/rup
%{_sbindir}/rpc.rstatd
%{_mandir}/man1/rsysinfo.1*
%{_mandir}/man1/rup.1*
%{_mandir}/man8/rpc.rstatd.8*
%{_mandir}/man8/rstatd.8*
%{_sysconfdir}/sysconfig/%{name}
%if 0%{?rhel} < 7 && 0%{?fedora} == 0
%{_sysconfdir}/rc.d/init.d/%{name}
%else
%{_unitdir}/%{name}.service
%endif

%changelog
* Sat Jan 24 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.0.1-2
- Correct build in Fedora.

* Mon Jan 19 2015 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 4.0.1-1
- Initial rstatd spec.
